package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 认证审核类型 ADD 新增 MODIFY 修改
 *
 * @Author: liweifan
 * @Data: 2022/3/16 10:19
 */
public enum EVipType implements BaseEnum<String, EVipType> {

    // 字段 说明 VIP:会员 SVIP:SVIP，PERMANENT_SVIP:永久SVIP，NOT_VIP:不是vip

    VIP("VIP"),
    SVIP("SVIP"),
    DISCOUNT("DISCOUNT"),


    // 业务用字段
    // 永久SVIP
    PERMANENT_SVIP("永久SVIP"),

    // 不是vip
    NOT_VIP("不是vip"),
    ALL_VIP("所有VIP"),

    ;
    @EnumValue
    private String code;
    private String name;

    EVipType(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}